package cn.com.qmth.examcloud.commons.util;

import java.io.PrintWriter;
import java.io.StringWriter;
import java.util.Arrays;
import java.util.List;
import java.util.concurrent.TimeUnit;

import org.apache.poi.util.IOUtils;

/**
 * 工具集
 *
 * @author WANGWEI
 * @date 2018年12月6日
 * @Copyright (c) 2018-2020 WANGWEI [QQ:522080330] All Rights Reserved.
 */
public class Util {

	/**
	 * @param elements
	 * @return
	 */
	public static List<String> buildList(String... elements) {
		return Arrays.asList(elements);
	}

	/**
	 * 方法注释
	 *
	 * @author WANGWEI
	 * @param timeout
	 */
	public static void sleep(int timeout) {
		sleep(TimeUnit.SECONDS, timeout);
	}

	/**
	 * 
	 * @param timeUnit
	 * @param timeout
	 */
	public static void sleep(TimeUnit timeUnit, int timeout) {
		try {
			timeUnit.sleep(timeout);
		} catch (InterruptedException e) {
			throw new RuntimeException(e);
		}
	}

	/**
	 * 获取堆栈信息
	 *
	 * @author WANGWEI
	 * @param e
	 * @return
	 */
	public static String getStackTrace(Exception e) {
		PrintWriter pw = null;
		StringWriter sw = null;
		try {
			sw = new StringWriter();
			pw = new PrintWriter(sw);
			e.printStackTrace(pw);
			return sw.toString();
		} catch (Exception ex) {
			throw new RuntimeException(ex);
		} finally {
			IOUtils.closeQuietly(pw);
			IOUtils.closeQuietly(sw);
		}
	}

}